glePolyCylinder(3GLE)

NAME
glePolyCylinder - Draw polycylinder, specified as a polyline.

SYNTAX

void glePolyCylinder(int npoints,
                     gleDouble point_array[][3],
                     float color_array[][3],
                     gleDouble radius);

ARGUMENTS

npoints
    numpoints in poly-line

point_array
    polyline vertices

color_array
    colors at polyline verts

radius
    cylinder radius

DESCRIPTION
Draw polycylinder, specified as a polyline. Note that neither the very first segment, nor the very last segment are drawn. The first and last segments serve only to define the angle of the join at the very ends of the polyline. Thus, to draw one segment, three must be specified. To draw two segments, four must be specified, etc. The color array may be NULL. If NULL, the current color is used. If not NULL, the glColor3f() routine is used to set the color; therefore, specifying the glColorMaterial() subroutine before this primitive can be used to set diffuse, specular, ambient, etc. colors.

SEE ALSO
glePolyCone

AUTHOR
Linas Vepstas (linas@fc.net)